<script setup>
import { useRoute, useRouter } from "vue-router"
import { useDatabaseStore } from "../store/database";
import { onMounted, ref } from "vue";

const route = useRoute()
const router = useRouter()
const databaseStore = useDatabaseStore()

const url = ref("")

const handleSubmit = () => {
  databaseStore.updateUrl(route.params.id, url.value)
  router.push("/")
}

onMounted(async() => {
    url.value = await databaseStore.readUrl(route.params.id)
})
</script>

<template>
    <div>
        <h1>Editar id: {{ route.params.id }}</h1>
        <form @submit.prevent="handleSubmit" class="container-fluid d-flex flex-column w-50 mb-4">
            <div class="form-group">
                <label for="text">URL</label>
                <input type="text" class="form-control" id="text" placeholder="Ingrese URL" v-model="url">
            </div>
            <button type="submit" class="btn btn-primary mt-2">Editar</button>
        </form>
    </div>
</template>